Skip to content
Textpattern templates based on Bootstrap.
CSS HTML JavaScript
Branch: master
Clone or download
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Permalink
Type Name Latest commit message Commit time
Failed to load latest commit information.
dev-docs
dev-to-sort
js
lang
scss
templates
themes/bootstrap_framework
.babelrc.js
.editorconfig
.eslintrc.js
.gitignore
.travis.yml
README.md
index.html
package.json
webpack.config.js

README.md

Textpattern Bootstrap Templates

Currently under development.

Greenkeeper Build Status

Demo.

Textpattern templates for use with Bootstrap v4.

Supported web browsers

  • Internet Explorer 11.
  • Chrome, Edge, Firefox, Safari and Opera the last two recent stable releases.

Requirements

Building this repository requires:

Build setup

Installing required tools

The project uses Webpack to run tasks and Sass for CSS pre-processing. First make sure you have a recent version of Node.js installed. You can install Node.js using the installer or package manager.

Installing dependencies

After you have Node.js taken care of, you can install the project's dependencies. Navigate to the project's directory, and run the dependency manager:

$ cd textpattern-bootstrap
$ npm install

npm installs Webpack and any necessary JavaScript packages.

Building

This repository hosts sources and needs to be built before it can be used. After you have installed all dependencies, you will be able to run the build:

$ npm run build

Updating Bootstrap

If you'd like to upgrade to a newer version of Bootstrap down the road just run:

$ npm update

Pre-built version

We provide a pre-built version of the theme files within the themes directory in case you don't want to build it yourself.

License

Licensed under MIT license except Textpattern templates, which are licensed under GPLv2 license.

You can’t perform that action at this time.